> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve an issue

> Resolve the issue.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json post /issues/{issue_id}/resolve
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues/{issue_id}/resolve:
    post:
      tags:
        - Issues / Lifecycle
      summary: Resolve an issue
      description: Resolve the issue.
      operationId: resolve_issue
      parameters:
        - name: issue_id
          in: path
          required: true
          description: Issue ID.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                project_id:
                  type: string
                resolution_evidence:
                  oneOf:
                    - type: object
                      properties:
                        kind:
                          type: string
                          const: caller_attestation
                        explanation:
                          type: string
                          minLength: 1
                          maxLength: 2000
                      required:
                        - kind
                        - explanation
                      additionalProperties: false
                    - type: object
                      properties:
                        kind:
                          type: string
                          const: deployment_reference
                        explanation:
                          type: string
                          minLength: 1
                          maxLength: 2000
                        url:
                          type: string
                          format: uri
                          maxLength: 4096
                      required:
                        - kind
                        - explanation
                        - url
                      additionalProperties: false
                create_monitor:
                  type: boolean
                  default: false
              required:
                - project_id
                - resolution_evidence
              additionalProperties: false
      responses:
        '200':
          description: Issue resolved
          content:
            application/json:
              schema:
                type: object
                properties:
                  issue:
                    type: object
                    properties:
                      id:
                        type: string
                      status:
                        type: string
                        const: resolved
                      updated_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                    required:
                      - id
                      - status
                      - updated_at
                    additionalProperties: false
                  transition_id:
                    type: string
                required:
                  - issue
                  - transition_id
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.